> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get specific node run output



## OpenAPI

````yaml /api-reference/membrane-api.json get /flow-runs/{id}/nodes/{nodeKey}/outputs/{outputId}
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /flow-runs/{id}/nodes/{nodeKey}/outputs/{outputId}:
    get:
      tags:
        - FlowRuns
      summary: Get specific node run output
      operationId: getNodeRunOutput
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: nodeKey
          required: true
          in: path
          schema:
            type: string
        - name: outputId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowNodeRunOutputResponseDto'
components:
  schemas:
    FlowNodeRunOutputResponseDto:
      type: object
      properties:
        id:
          type: string
        nodeKey:
          type: string
        outputId:
          type: string
        data:
          type: object
          additionalProperties:
            type: object
        metadata:
          type: object
          properties:
            timestamp:
              type: string
            size:
              type: number
          required:
            - timestamp
            - size
      required:
        - id
        - nodeKey
        - outputId
        - data
        - metadata
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````